com.sun.jna.platform.win32

## Class WinDef.HRGN

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HRGN

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.HRGN
      extends WinNT.HANDLE

  Handle to a region.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.HRGN()` Instantiates a new hrgn.
    `WinDef.HRGN(Pointer p)` Instantiates a new hrgn.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

      `fromNative, setPointer, toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinDef.HRGN

          public WinDef.HRGN()

      Instantiates a new hrgn.

    - #### WinDef.HRGN

          public WinDef.HRGN(Pointer p)

      Instantiates a new hrgn.
      Parameters:
        `p` - the p

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.